{% extends 'home/layout.html' %}

{% block title %}PROGRESS BAR REFRESH{% endblock %}

{% block body %}
<h1 class="text-center">APP1 - one app for all sessions</h1>
<section class="h-100">
    <div class="container py-3 w-50">
        <div class="text-center">
            <p> PROGRESS: <a id="content"></a> %</p>

        </div>
    </div>
</section>

<script>
    // Показати наданий розділ
    function showSection() {

        // Знайти текст розділу з сервера
        fetch(`/app1/progress`)
        .then(response => response.text())
        .then(text => {
            // Записати текст та вивести на сторінці
            console.log(text);
            document.querySelector('#content').innerHTML = text;
        });
    }

    setInterval(() => {
    showSection();
    }, 800);

</script>
{% endblock %}